Package org.eclipse.birt.chart.model.layout.impl

# Class ClientAreaImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.layout.impl.ClientAreaImpl

All Implemented Interfaces:
  `IChartObject`, `ClientArea`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class ClientAreaImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements ClientArea
An implementation of the model object 'Client Area'.

The following features are implemented:

- `Background`
- `Outline`
- `Shadow Color`
- `Insets`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetBackground(Fill newBackground, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetInsets(Insets newInsets, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetShadowColor(ColorDefinition newShadowColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`ClientArea`
`copyInstance()`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`Fill`
`getBackground()`
`Insets`
`getInsets()`
`LineAttributes`
`getOutline()`
`ColorDefinition`
`getShadowColor()`
`final void`
`initDefault()`
Resets all member variables within this object recursively Note: Manually written
`final void`
`initialize()`
Resets all member variables within this object recursively Note: Manually written
`boolean`
`isSetVisible()`
`boolean`
`isVisible()`
`void`
`setBackground(Fill newBackground)`
`void`
`setInsets(Insets newInsets)`
`void`
`setOutline(LineAttributes newOutline)`
`void`
`setShadowColor(ColorDefinition newShadowColor)`
`void`
`setVisible(boolean newVisible)`
`String`
`toString()`
`void`
`unsetVisible()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getBackground

public Fill getBackground()

Specified by:
  `getBackground` in interface `ClientArea`
Returns:
  the value of the 'Background' containment reference.
See Also:
  - `ClientArea.setBackground(Fill)`
  - `LayoutPackage.getClientArea_Background()`

### basicSetBackground

public org.eclipse.emf.common.notify.NotificationChain basicSetBackground(Fill newBackground, org.eclipse.emf.common.notify.NotificationChain msgs)

### setBackground

public void setBackground(Fill newBackground)

Specified by:
  `setBackground` in interface `ClientArea`
Parameters:
  `newBackground` - the new value of the 'Background' containment reference.
See Also:
  - `ClientArea.getBackground()`

### getOutline

public LineAttributes getOutline()

Specified by:
  `getOutline` in interface `ClientArea`
Returns:
  the value of the 'Outline' containment reference.
See Also:
  - `ClientArea.setOutline(LineAttributes)`
  - `LayoutPackage.getClientArea_Outline()`

### basicSetOutline

public org.eclipse.emf.common.notify.NotificationChain basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)

### setOutline

public void setOutline(LineAttributes newOutline)

Specified by:
  `setOutline` in interface `ClientArea`
Parameters:
  `newOutline` - the new value of the 'Outline' containment reference.
See Also:
  - `ClientArea.getOutline()`

### getShadowColor

public ColorDefinition getShadowColor()

Specified by:
  `getShadowColor` in interface `ClientArea`
Returns:
  the value of the 'Shadow Color' containment reference.
See Also:
  - `ClientArea.setShadowColor(ColorDefinition)`
  - `LayoutPackage.getClientArea_ShadowColor()`

### basicSetShadowColor

public org.eclipse.emf.common.notify.NotificationChain basicSetShadowColor(ColorDefinition newShadowColor, org.eclipse.emf.common.notify.NotificationChain msgs)

### setShadowColor

public void setShadowColor(ColorDefinition newShadowColor)

Specified by:
  `setShadowColor` in interface `ClientArea`
Parameters:
  `newShadowColor` - the new value of the 'Shadow Color' containment reference.
See Also:
  - `ClientArea.getShadowColor()`

### getInsets

public Insets getInsets()

Specified by:
  `getInsets` in interface `ClientArea`
Returns:
  the value of the 'Insets' containment reference.
See Also:
  - `ClientArea.setInsets(Insets)`
  - `LayoutPackage.getClientArea_Insets()`

### basicSetInsets

public org.eclipse.emf.common.notify.NotificationChain basicSetInsets(Insets newInsets, org.eclipse.emf.common.notify.NotificationChain msgs)

### setInsets

public void setInsets(Insets newInsets)

Specified by:
  `setInsets` in interface `ClientArea`
Parameters:
  `newInsets` - the new value of the 'Insets' containment reference.
See Also:
  - `ClientArea.getInsets()`

### isVisible

public boolean isVisible()

Specified by:
  `isVisible` in interface `ClientArea`
Returns:
  the value of the 'Visible' attribute.
See Also:
  - `ClientArea.isSetVisible()`
  - `ClientArea.unsetVisible()`
  - `ClientArea.setVisible(boolean)`
  - `LayoutPackage.getClientArea_Visible()`

### setVisible

public void setVisible(boolean newVisible)

Specified by:
  `setVisible` in interface `ClientArea`
Parameters:
  `newVisible` - the new value of the 'Visible' attribute.
See Also:
  - `ClientArea.isSetVisible()`
  - `ClientArea.unsetVisible()`
  - `ClientArea.isVisible()`

### unsetVisible

public void unsetVisible()

Specified by:
  `unsetVisible` in interface `ClientArea`
See Also:
  - `ClientArea.isSetVisible()`
  - `ClientArea.isVisible()`
  - `ClientArea.setVisible(boolean)`

### isSetVisible

public boolean isSetVisible()

Specified by:
  `isSetVisible` in interface `ClientArea`
Returns:
  whether the value of the 'Visible' attribute is set.
See Also:
  - `ClientArea.unsetVisible()`
  - `ClientArea.isVisible()`
  - `ClientArea.setVisible(boolean)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### initialize

public final void initialize()
Resets all member variables within this object recursively Note: Manually written

### initDefault

public final void initDefault()
Resets all member variables within this object recursively Note: Manually written

### copyInstance

public ClientArea copyInstance()

Specified by:
  `copyInstance` in interface `ClientArea`
Specified by:
  `copyInstance` in interface `IChartObject`